Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Interface MuleMessageCollection

All Superinterfaces:
  MuleMessage, Serializable

All Known Implementing Classes:
  DefaultMessageCollection

    public interface MuleMessageCollection

extends MuleMessage

An interface that defines a collection of Mule Messages and methods for working with the collection. Typically this type of message is only used when users explicitly want to work with aggregated or re-sequenced collections of messages.

Method Summary
`void` | `addMessage(MuleMessage message)`
`void` | `addMessage(MuleMessage message, int index)`
`void` | `addMessages(List messages)`
`void` | `addMessages(MuleEvent[] events)`
`void` | `addMessages(MuleMessage[] messages)`
`MuleMessage` | `getMessage(int index)`
`MuleMessage[]` | `getMessagesAsArray()`
`Object[]` | `getPayloadsAsArray()`
`void` | `removedMessage(MuleMessage message)`
`int` | `size()`

Methods inherited from interface org.mule.api.MuleMessage
`addAttachment, addOutboundAttachment, addOutboundAttachment, addProperties, addProperties, applyTransformers, applyTransformers, applyTransformers, clearProperties, clearProperties, createInboundMessage, findPropertyInAnyScope, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDataType, getDoubleProperty, getEncoding, getExceptionPayload, getInboundAttachment, getInboundAttachmentNames, getInboundProperty, getInboundProperty, getInboundPropertyNames, getIntProperty, getInvocationProperty, getInvocationProperty, getInvocationPropertyNames, getLongProperty, getMuleContext, getOriginalPayload, getOutboundAttachment, getOutboundAttachmentNames, getOutboundProperty, getOutboundProperty, getOutboundPropertyNames, getPayload, getPayload, getPayload, getPayloadAsBytes, getPayloadAsString, getPayloadAsString, getPayloadForLogging, getPayloadForLogging, getProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getSessionProperty, getSessionProperty, getSessionPropertyNames, getStringProperty, getUniqueId, release, removeAttachment, removeOutboundAttachment, removeProperty, removeProperty, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setInvocationProperty, setLongProperty, setOutboundProperty, setPayload, setProperty, setProperty, setReplyTo, setSessionProperty, setStringProperty`

Method Detail

### addMessage

    void addMessage(MuleMessage message)

### addMessage

    void addMessage(MuleMessage message,
                    int index)

### addMessages

    void addMessages(MuleMessage[] messages)

### addMessages

    void addMessages(MuleEvent[] events)

### addMessages

    void addMessages(List messages)

### removedMessage

    void removedMessage(MuleMessage message)

### getMessagesAsArray

    MuleMessage[] getMessagesAsArray()

### getMessage

    MuleMessage getMessage(int index)

### getPayloadsAsArray

    Object[] getPayloadsAsArray()

### size

    int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.